package com.canarias.rentacar.model;

import org.simpleframework.xml.Element;
import org.simpleframework.xml.Root;

import java.util.Date;
/**
 * Modelo que define un cliente. Se anotan los atributos para
 * parsearlos desde el XML
 */
@Root
public class Customer {
    @Element(name = "name")
    private String name;
    @Element(name = "surname")
    private String surname;
    @Element(name = "email")
    private String email;
    @Element(name = "phone")
    private String phone;
    @Element(name = "birthDate")
    private String birthDateXml;

    private Date birthDate;
    @Element(name = "language")
    private String language;

    @Element(name = "country")
    private String country;

    public Customer() {
    }

    public Customer(String name, String surname, String email) {
        this.name = name;
        this.surname = surname;
        this.email = email;
    }

    public Customer(String name, String surname, String email, String phone) {
        this.name = name;
        this.surname = surname;
        this.email = email;
        this.phone = phone;
    }

    public String getBirthDateXml() {
        return birthDateXml;
    }

    public void setBirthDateXml(String birthDateXml) {
        this.birthDateXml = birthDateXml;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public Date getBirthDate() {
        return birthDate;
    }

    public void setBirthDate(Date birthDate) {
        this.birthDate = birthDate;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSurname() {
        return surname;
    }

    public void setSurname(String surname) {
        this.surname = surname;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

}
